/*
 * Custom script about Flexible Lite
 */
jQuery(function($) {

    //Homepage slider
    $('#homeSlider').bxSlider({
        adaptiveHeight: true,
        pager: false,
        auto: true,
        mode: 'fade',
        speed: 1400,
        pause: 4600,
        prevText: '<i class="fa fa-chevron-left"> </i>',
        nextText: '<i class="fa fa-chevron-right"> </i>'
    });

    $('.sponsorSlider').bxSlider({
        minSlides: 1,
        maxSlides: 4,
        slideWidth: 210,
        slideMargin: 70,
        pager: false,
        controls: false,
        auto: true,
        prevText: '<i class="fa fa-angle-left"></i>',
        nextText: '<i class="fa fa-angle-right"></i>',
        ticker: true,
        speed: 10000
    });

    //testimonial slider

    $('.testimonial-slider').bxSlider({
        minSlides: 1,
        maxSlides: 2,
        slideWidth: 570,
        slideMargin: 60,
        speed: 1000,
        pager: false,
        controls: true,
        nextText: '<i class="fa fa-arrow-right"> </i>',
        prevText: '<i class="fa fa-arrow-left"> </i>',
    });

    $('#site-navigation').onePageNav({
        currentClass: 'current-one-page-item',
        changeHash: false,
        scrollSpeed: 1500,
        scrollThreshold: 0.5,
        filter: '',
        easing: 'swing',
        begin: function() {
            //I get fired when the animation is starting
        },
        end: function() {
            //I get fired when the animation is ending
        },
        scrollChange: function(jQuerycurrentListItem) {
            //I get fired when you enter a section and I pass the list item of the section
        }
    });

    // parallax background scroll
    $(window).on('load', function() {
        var width = Math.max(window.innerWidth, document.documentElement.clientWidth);
        if (width && width >= 768) {
            $('.flexible-lite-widget-wrapper,.flexible-lite-cta-wrapper').each(function() {
                $(this).parallax('center', 0.3, true);
            });
        }
    });

    //home page search
    $('.header-search-wrapper .search-main').click(function() {
        $('.header-search-wrapper .search-form-main').toggleClass('search-activate');
        var element = document.querySelector( '.header-search-wrapper' );
        if( element ) {
            $(document).on('keydown', function(e) {
                var focusable = element.querySelectorAll( 'button, [href], input, select, textarea, [tabindex]:not([tabindex="-1"])');
                var firstFocusable = focusable[0];
                var lastFocusable = focusable[focusable.length - 1];
                flexible_lite_focus_trap( firstFocusable, lastFocusable, e );
            })
        }
    });

    // Scroll To Top
    $(window).scroll(function() {
        if ($(this).scrollTop() > 1000) {
            $('#mt-scrollup').fadeIn('slow');
        } else {
            $('#mt-scrollup').fadeOut('slow');
        }
    });

    $('#mt-scrollup').click(function() {
        $("html, body").animate({
            scrollTop: 0
        }, 600);
        return false;
    });

    //toggle-menu
    // $(window).on('load', function() {
    //     var width = Math.max(window.innerWidth, document.documentElement.clientWidth);
    //     if (width < 767) {
            $('.menu-toggle').click(function() {
                $('#primary-menu').slideToggle('slow');
                var element = document.querySelector( '#site-navigation' );
                if( element ) {
                    $(document).on('keydown', function(e) {
                        var focusable = element.querySelectorAll( 'button, [href], input, select, textarea, [tabindex]:not([tabindex="-1"])');
                        var firstFocusable = focusable[0];
                        var lastFocusable = focusable[focusable.length - 1];
                        flexible_lite_focus_trap( firstFocusable, lastFocusable, e );
                    })
                }
            });
    //     }
    // });

    //responsive sub menu toggle
    $('<span class="sub-toggle"><a href="javascript:void(0);"><i class="fa fa-angle-right"></i></a></span>').insertAfter('#site-navigation .menu-item-has-children>a,#site-navigation .page_item_has_children>a');

    $('#site-navigation .sub-toggle').click(function() {
        $(this).parent('.menu-item-has-children').children('ul.sub-menu').first().slideToggle('1000');
        $(this).parent('.page_item_has_children').children('ul.sub-menu').first().slideToggle('1000');
        $(this).parent('.menu-item-has-children').children('ul.children').first().slideToggle('1000');
        $(this).parent('.page_item_has_children').children('ul.children').first().slideToggle('1000');
        $(this).find('i.fa').toggleClass('fa-angle-down').toggleClass('fa-angle-right');
    });

    /**
     * Focus trap in popup.
     */
    var KEYCODE_TAB = 9;
    function flexible_lite_focus_trap( firstFocusable, lastFocusable, e ) {
        if (e.key === 'Tab' || e.keyCode === KEYCODE_TAB) {
            if ( e.shiftKey ) /* shift + tab */ {
                if (document.activeElement === firstFocusable) {
                    lastFocusable.focus();
                    e.preventDefault();
                }
            } else /* tab */ {
                if ( document.activeElement === lastFocusable ) {
                    firstFocusable.focus();
                    e.preventDefault();
                }
            }
        }
    }

    /**
     * Close popups on escape key.
     */
    $( document ).on( 'keydown', function( event ) {
        if ( event.keyCode === 27 ) {
            event.preventDefault();
            $( '#primary-menu' ).hide();
            $( '.header-search-wrapper .search-form-main' ).removeClass( 'search-activate' );
        }
    });
});
